<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-18 18:19:50
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzHireExchangeTag extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_hire_exchange_tag}}';
    }
                
    /**
     * ------------ 字段 tag_id 
     * ------------ 表字段注释: 标签ID
     */
    public function filterByTagId($val): self
    {
        $this->filterByColumn("tag_id", $val);
        return $this;
    }

    public function setTagId($val): self
    {
        $this->setAttr("tag_id", $val);
        return $this;
    }

    public function getTagId()
    {
        return $this->tag_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 tag_code 
     * ------------ 表字段注释: 编码
     */
    public function filterByTagCode($val): self
    {
        $this->filterByColumn("tag_code", $val);
        return $this;
    }

    public function setTagCode($val): self
    {
        $this->setAttr("tag_code", $val);
        return $this;
    }

    public function getTagCode()
    {
        return $this->tag_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 main_admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByMainAdminId($val): self
    {
        $this->filterByColumn("main_admin_id", $val);
        return $this;
    }

    public function setMainAdminId($val): self
    {
        $this->setAttr("main_admin_id", $val);
        return $this;
    }

    public function getMainAdminId()
    {
        return $this->main_admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 tag_name 
     * ------------ 表字段注释: 标签名
     */
    public function filterByTagName($val): self
    {
        $this->filterByColumn("tag_name", $val);
        return $this;
    }

    public function setTagName($val): self
    {
        $this->setAttr("tag_name", $val);
        return $this;
    }

    public function getTagName()
    {
        return $this->tag_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 parent_code 
     * ------------ 表字段注释: 父标签编码
     */
    public function filterByParentCode($val): self
    {
        $this->filterByColumn("parent_code", $val);
        return $this;
    }

    public function setParentCode($val): self
    {
        $this->setAttr("parent_code", $val);
        return $this;
    }

    public function getParentCode()
    {
        return $this->parent_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 update_at 
     * ------------ 表字段注释: 
     */
    public function filterByUpdateAt($val): self
    {
        $this->filterByColumn("update_at", $val);
        return $this;
    }

    public function setUpdateAt($val): self
    {
        $this->setAttr("update_at", $val);
        return $this;
    }

    public function getUpdateAt()
    {
        return $this->update_at ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 delete_time 
     * ------------ 表字段注释: 删除时间
     */
    public function filterByDeleteTime($val): self
    {
        $this->filterByColumn("delete_time", $val);
        return $this;
    }

    public function setDeleteTime($val): self
    {
        $this->setAttr("delete_time", $val);
        return $this;
    }

    public function getDeleteTime()
    {
        return $this->delete_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 pledge_money 
     * ------------ 表字段注释: 押金
     */
    public function filterByPledgeMoney($val): self
    {
        $this->filterByColumn("pledge_money", $val);
        return $this;
    }

    public function setPledgeMoney($val): self
    {
        $this->setAttr("pledge_money", $val);
        return $this;
    }

    public function getPledgeMoney()
    {
        return $this->pledge_money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 tag_type 
     * ------------ 表字段注释: 0不限 1电池 2车辆
     */
    public function filterByTagType($val): self
    {
        $this->filterByColumn("tag_type", $val);
        return $this;
    }

    public function setTagType($val): self
    {
        $this->setAttr("tag_type", $val);
        return $this;
    }

    public function getTagType()
    {
        return $this->tag_type ?? null;
    }
    // ---------------------------------------------
    
}
